Package be.fgov.ehealth.rn.commons.business.v1

# Class PeriodType

java.lang.Object
be.fgov.ehealth.rn.commons.business.v1.PeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class PeriodType extends Object implements Serializable
Period containing a begin date and an end date.

Java class for PeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BeginDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getBeginDate()`
  Gets the value of the beginDate property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `void`
  `setBeginDate(Instant value)`
  Sets the value of the beginDate property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeriodType

    public PeriodType()

- ## Method Details

  - ### getBeginDate

    public Instant getBeginDate()
    Gets the value of the beginDate property.
    Returns:
      possible object is `String`

  - ### setBeginDate

    public void setBeginDate(Instant value)
    Sets the value of the beginDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`